package com.sw.mes.fb.aio.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/

@ApiModel(value = "EAP开方加工记录上传Dto")
public class EapEvolutionRecordDto {

     private Long id;
     @ApiModelProperty(value = "开方机编号" , required = true)
     String equipNo;
     @ApiModelProperty(value = "方棒SN" , required = true)
     String sn;
     @ApiModelProperty(value = "开方员工号" , required = true)
     String trimmingMan;
     @ApiModelProperty(value = "人员代码")
     String trimmingManCode;
     @ApiModelProperty(value = "班次" )
     String classNoName;
     @ApiModelProperty(value = "切割开始时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date startTrimming;
     @ApiModelProperty(value = "切割结束时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date endTrimming;
     @ApiModelProperty(value = "圆棒切割工时" )
     BigDecimal trimmingHours;
     @ApiModelProperty(value = "开始切方张力" )
     BigDecimal tension;
     @ApiModelProperty(value = "开始切方线速度" )
     BigDecimal sLinearSpeed;
     @ApiModelProperty(value = "开始切方切割速度" )
     BigDecimal sCuttingSpeed;
     @ApiModelProperty(value = "开始切方水流量" )
     BigDecimal sTrimmingFlow;
     @ApiModelProperty(value = "实际单颗用线量" )
     BigDecimal actualQty;
     @ApiModelProperty(value = "加工规格")
     String spec;
     @ApiModelProperty(value = "PN型")
     String pnType;
     @ApiModelProperty(value = "设定边长")
     BigDecimal sideLen;
     @ApiModelProperty(value = "产品等级")
     String productRank;
     @ApiModelProperty(value = "拼接")
     String splitJoint;
     @ApiModelProperty(value = "是否指定订单")
     Integer isAssign;
     @ApiModelProperty(value = "创建时间" )
     @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     Date createdTime;

     public Long getId() {
          return id;
     }

     public void setId(Long id) {
          this.id = id;
     }

     public String getEquipNo() {
          return equipNo;
     }

     public void setEquipNo(String equipNo) {
          this.equipNo = equipNo;
     }

     public String getSn() {
          return sn;
     }

     public void setSn(String sn) {
          this.sn = sn;
     }

     public String getTrimmingMan() {
          return trimmingMan;
     }

     public void setTrimmingMan(String trimmingMan) {
          this.trimmingMan = trimmingMan;
     }

     public String getTrimmingManCode() {
          return trimmingManCode;
     }

     public void setTrimmingManCode(String trimmingManCode) {
          this.trimmingManCode = trimmingManCode;
     }

     public String getClassNoName() {
          return classNoName;
     }

     public void setClassNoName(String classNoName) {
          this.classNoName = classNoName;
     }

     public Date getStartTrimming() {
          return startTrimming;
     }

     public void setStartTrimming(Date startTrimming) {
          this.startTrimming = startTrimming;
     }

     public Date getEndTrimming() {
          return endTrimming;
     }

     public void setEndTrimming(Date endTrimming) {
          this.endTrimming = endTrimming;
     }

     public BigDecimal getTrimmingHours() {
          return trimmingHours;
     }

     public void setTrimmingHours(BigDecimal trimmingHours) {
          this.trimmingHours = trimmingHours;
     }

     public BigDecimal getTension() {
          return tension;
     }

     public void setTension(BigDecimal tension) {
          this.tension = tension;
     }

     public BigDecimal getsLinearSpeed() {
          return sLinearSpeed;
     }

     public void setsLinearSpeed(BigDecimal sLinearSpeed) {
          this.sLinearSpeed = sLinearSpeed;
     }

     public BigDecimal getsCuttingSpeed() {
          return sCuttingSpeed;
     }

     public void setsCuttingSpeed(BigDecimal sCuttingSpeed) {
          this.sCuttingSpeed = sCuttingSpeed;
     }

     public BigDecimal getsTrimmingFlow() {
          return sTrimmingFlow;
     }

     public void setsTrimmingFlow(BigDecimal sTrimmingFlow) {
          this.sTrimmingFlow = sTrimmingFlow;
     }

     public BigDecimal getActualQty() {
          return actualQty;
     }

     public void setActualQty(BigDecimal actualQty) {
          this.actualQty = actualQty;
     }

     public String getSpec() {
          return spec;
     }

     public void setSpec(String spec) {
          this.spec = spec;
     }

     public String getPnType() {
          return pnType;
     }

     public void setPnType(String pnType) {
          this.pnType = pnType;
     }

     public BigDecimal getSideLen() {
          return sideLen;
     }

     public void setSideLen(BigDecimal sideLen) {
          this.sideLen = sideLen;
     }

     public String getProductRank() {
          return productRank;
     }

     public void setProductRank(String productRank) {
          this.productRank = productRank;
     }

     public String getSplitJoint() {
          return splitJoint;
     }

     public void setSplitJoint(String splitJoint) {
          this.splitJoint = splitJoint;
     }

     public Integer getIsAssign() {
          return isAssign;
     }

     public void setIsAssign(Integer isAssign) {
          this.isAssign = isAssign;
     }

     public Date getCreatedTime() {
          return createdTime;
     }

     public void setCreatedTime(Date createdTime) {
          this.createdTime = createdTime;
     }
}